from scrape import check_multiple_emails


if __name__ == "__main__":
    email_file = "vm checkers/dropbox/mails.txt"
    try:
        with open(email_file, "r") as f:
            emails_to_check = [line.strip() for line in f if line.strip()]
    except FileNotFoundError:
        print(f"Error: File {email_file} not found!")
        exit(1)

    if emails_to_check:
        print(f"Found {len(emails_to_check)} emails to check.")
        check_multiple_emails(emails_to_check)
    else:
        print("No emails found to check.")
