import requests 
import random
def get_random_proxy():
    try:
        with open("vm checkers/dropbox/proxies.txt", "r") as f:
            proxies = f.readlines()

        if not proxies:
            print("Proxy file is empty!")
            return None

        proxies = [proxy.strip() for proxy in proxies if proxy.strip()]
        
        if not proxies:
            print("No valid proxies found in the file.")
            return None

        proxy = random.choice(proxies)
        
        if "http" in proxy:
            return {"http": proxy}
        else:
            return {"https": proxy}
    except Exception as e:
        print(f"Error reading proxy file: {e}")
        return None


def verify_proxy(proxy):
    try:
        response = requests.get("https://httpbin.org/ip", proxies=proxy, timeout=5)
        return response.status_code == 200
    except requests.exceptions.RequestException:
        return False